commit:     a737f96d61c7f55fdd0789caa8f82b152c6924bd
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  3 19:31:53 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Jan  3 19:32:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a737f96d

media-libs/oneVPL-cpu: add 2023.1.1

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 media-libs/oneVPL-cpu/Manifest                   |  1 +
 media-libs/oneVPL-cpu/oneVPL-cpu-2023.1.1.ebuild | 57 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/media-libs/oneVPL-cpu/Manifest b/media-libs/oneVPL-cpu/Manifest
index de3a169e49f9..fd2ffc221a50 100644
--- a/media-libs/oneVPL-cpu/Manifest
+++ b/media-libs/oneVPL-cpu/Manifest
@@ -1 +1,2 @@
 DIST oneVPL-cpu-2022.2.5.tar.gz 9917180 BLAKE2B 
8e0beebc226a0984474ca6822769736c78e80959bd2df9fd4a34014a31e3439cd42b9a104dfefaa70043df03834246c973e1ba29cea3a9af94a48c2b1d08edcc
 SHA512 
e79b0f396bfcdb7156f8ec5b3008ddd813a0a01ade8e319f78afd3c9d862b111531c42a65ba19ea396b51d3e298608da271894867297dc95f51e4bcc19e9029e
+DIST oneVPL-cpu-2023.1.1.tar.gz 9917709 BLAKE2B 
2e30f8e8e493b4027089031ea9434dd04e2ca4dc75d56083259077ef6f2b906c4419451592ce7d272af689c9e46f5dafe2a1552564e77a8012eb4881edc6afc2
 SHA512 
d294268f45dd59ebae43f3845641c39ecdea39055b9b2fb0fa660e7a3c809ba675f52a23a4cfb67b7c6e6dc0ea200aeb43d3313aeb70efa2b5027eec3d25e5f8

diff --git a/media-libs/oneVPL-cpu/oneVPL-cpu-2023.1.1.ebuild 
b/media-libs/oneVPL-cpu/oneVPL-cpu-2023.1.1.ebuild
new file mode 100644
index 000000000000..513675dc8a74
--- /dev/null
+++ b/media-libs/oneVPL-cpu/oneVPL-cpu-2023.1.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="oneAPI Video Processing Library CPU implementation"
+HOMEPAGE="https://github.com/oneapi-src/oneVPL-cpu";
+SRC_URI="https://github.com/oneapi-src/oneVPL-cpu/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT x264? ( GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="experimental openh264 test +x264"
+REQUIRED_USE="^^ ( openh264 x264 )"
+# RESTRICT="!test? ( test )"
+# Tests fail
+RESTRICT="test"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="
+       media-libs/dav1d
+       media-libs/oneVPL[experimental?]
+       media-libs/svt-av1
+       media-libs/svt-hevc
+       media-video/ffmpeg
+       x264? ( media-libs/x264 )
+       openh264? ( media-libs/openh264 )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2022.2.5-use-system-libs.patch"
+       "${FILESDIR}/${PN}-2022.2.5-respect-user-flags.patch"
+)
+
+src_configure() {
+       # Use system libraries
+       export VPL_BUILD_DEPENDENCIES="${ESYSROOT}/usr"
+       local mycmakeargs=(
+               -DUSE_EXPERIMENTAL_API="$(usex experimental)"
+               -DBUILD_OPENH264="$(usex openh264)"
+               -DBUILD_TESTS="$(usex test)"
+               -DBUILD_GPL_X264="$(usex x264)"
+               # Use FHS instead
+               -DUSE_ONEAPI_INSTALL_LAYOUT=NO
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       # Remove these license files
+       rm -r "${ED}/usr/share/oneVPL-cpu/licensing" || die
+}

Reply via email to